/*
 * $Id: 888d44213dd5420227d6ef8cdc98057f84f2fa56 $
 *
 * This file is part of nsmtp.
 *
 * Copyright (c) 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                          http://www.nevm.de/nsmtp/
 *                          NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNSMTP_PROCTITLE_H
#define HAD_LIBNSMTP_PROCTITLE_H

#if defined(__NetBSD__) || defined(__OpenBSD__) || defined(__FreeBSD__)

void initproctitle(int __attribute__((unused)), char ** __attribute__((unused)));

#if defined(__FreeBSD__)
#include <sys/types.h>
#include <unistd.h>
#else
#include <stdlib.h>
#endif

#elif defined(__linux__)

void initproctitle(int, char **);
void setproctitle(const char *, ...);
void setprogname(const char *);
const char *getprogname(void);

#else

void initproctitle(int __attribute__((unused)), char ** __attribute__((unused)));
void setproctitle(const char * __attribute__((unused)));
void setprogname(const char *);
const char *getprogname(void);

#endif

#endif
